# $Revision: 1.13 $, $Date: 2001/11/26 00:42:44 $
Summary:	wmmp3 - mpg123 frontend for the WindowMaker Dock
Summary(pl):	wmmp3 - nakadka na mpg123 dla Doku WindowMakera
Name:		wmmp3
Version:	0.11
Release:	4
License:	GPL
Group:		X11/Window Managers/Tools
Group(de):	X11/Fenstermanager/Werkzeuge
Group(pl):	X11/Zarzdcy Okien/Narzdzia
Source0:	http://dotfiles.com/software/wmmp3/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Patch0:		%{name}-home_etc.patch
Patch1:		%{name}-mpg123_path.patch
URL:		http://dotfiles.com/software/wmmp3/
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
Requires:	mpg123
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix 	/usr/X11R6

%description
wmmp3 is a frontend for the mpg123 mp3 player. It is an X11
application designed to work in the WindowMaker dock. All user options
are contained in a config file, $CONFIG_DIR/wmmp3 . There is a
sample.wmmp3 file in the package that can be used as an
example/template.

%description -l pl
wmmp3 jest nakadk dla odtwarzacza mp3 - mpg123, zaprojektowan do
pracy w Doku WindowMakera. Wszystkie opcje uytkownika s zawarte w
pliku $CONFIG_DIR/wmmp3. W pakiecie znajduje si plik sample.wmmp3,
mogcy posuy za przykad lub szablon do stworzenia wasnego pliku
konfiguracyjnego.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -f missing
aclocal
autoconf
automake -a -c
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_applnkdir}/DockApplets

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

#install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/DockApplets

gzip -9nf README TODO ChangeLog AUTHORS

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz sample.wmmp3
%attr(755,root,root) %{_bindir}/wmmp3

#%{_applnkdir}/DockApplets/wmmp3.desktop

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: wmmp3.spec,v $
Revision 1.13  2001/11/26 00:42:44  kloczek
- reorder in header.

Revision 1.12  2001/11/25 23:58:16  blues
- release 4
- desktop is out
- fixes in files

Revision 1.11  2001/10/10 13:23:37  qboosh
- adapterized, BuildRequires: autoconf,automake

Revision 1.10  2001/09/17 15:08:50  blues
- release 3
- ac2.5 ready

Revision 1.9  2000/11/12 20:11:56  kloczek
- modyfications for using neew rpm automation.

Revision 1.8  2000/11/12 16:58:52  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.7  2000/06/09 07:55:16  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:24:02  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:09  baggins
- translated kloczkish into english

Revision 1.3  2000/02/04 18:23:01  pius
- updated wmmp3-home_etc.patch for use with $CONFIG_DIR variable
- cosmetics
- release 2

Revision 1.2  1999/12/10 20:05:11  pius
- updated to 0.11
- changed default path to mpg123 to /usr/bin/mpg123
- added support for ~/etc/wmmp3
- cosmetics

Revision 1.1  1999/10/31 12:28:56  pius
- initial release
